<?php

define("IN_SITE", true);
require_once("../../core/DB.php");
require_once("../../core/helpers.php");
require_once('../../core/class/class.smtp.php');
require_once('../../core/class/PHPMailerAutoload.php');
require_once('../../core/class/class.phpmailer.php');

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    if (isset($_POST['action']) && $_POST['action'] == 'ChangeEmail') {
        if (empty($_POST['token'])) {
            die(json_encode(['status' => 'error', 'msg' => 'Vui lòng đăng nhập']));
        }
        if (!$getUser = $TN->get_row("SELECT * FROM `users` WHERE `token` = '" . xss($_POST['token']) . "' AND `banned`=0")) {
            die(json_encode(['status' => 'error', 'msg' => 'Vui lòng đăng nhập']));
        }
        if (empty($_POST['email'])) {
            die(json_encode(['status' => 'error', 'msg' => 'Vui lòng nhập email']));
        }
        
        $email = xss($_POST['email']);
        $checkmail = $TN->get_row("SELECT * FROM `users` WHERE `email` = '" . ($email) . "' AND `token` = '".xss($_POST['token'])."' ");
        if ($checkmail) {
            die(json_encode(['status' => 'error', 'msg' => 'Nhập Mail Cũ Thì Đổi Gì Cu ']));
        }
        $isUpdate = $TN->update("users", [
            'email'  => $email
        ], " `token` = '" . xss($_POST['token']) . "' ");
        if ($isUpdate) {
            $TN->insert("logs", [
                'user_id'       => $getUser['id'],
                'ip'            => myip(),
                'device'        => $_SERVER['HTTP_USER_AGENT'],
                'create_date'    => gettime(),
                'action'        => 'Thay Đổi Email'
            ]);
            die(json_encode(['status' => 'success', 'msg' => 'Thay Đổi Email thành công']));
        }
        die(json_encode(['status' => 'error', 'msg' => 'Thay Đổi Email thất bại']));
    }
} else {
    die('The Request Not Found');
}
